# Class VerseAccountPayload

#### Hierarchy

- unknown
  - VerseAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5233
- Defined in src/protobuf/pb_pb.d.ts:5245

#####
Index

### Constructors

constructor

### Methods

getHolderName
serializeBinary
setHolderName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new VerseAccountPayload(): VerseAccountPayload

- #### Returns VerseAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5234

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5237

### setHolderName

- setHolderName(value: string): VerseAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns VerseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5235

### toObject

- toObject(includeInstance?: boolean): VerseAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns VerseAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5238

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): VerseAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns VerseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5241

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: VerseAccountPayload, reader: BinaryReader): VerseAccountPayload

- #### Parameters

  - ##### message: VerseAccountPayload

  - ##### reader: BinaryReader

  #### Returns VerseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5242

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: VerseAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: VerseAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5240

### `Static` toObject

- toObject(includeInstance: boolean, msg: VerseAccountPayload): VerseAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: VerseAccountPayload

  #### Returns VerseAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5239

Generated using TypeDoc